### Class

# Nautilus MenuItem

#### Description [src]

    class Nautilus.MenuItem : GObject.Object
    {
      /* No available fields */
    }

An individual item with a Nautilus context menu.

`NautilusMenuItem` is an object that describes an item in a file manager menu. Extensions can provide `NautilusMenuItem` objects by registering a `NautilusMenuProvider` and returning them from `nautilus_menu_provider_get_file_items()`, or `nautilus_menu_provider_get_background_items()`, which will be called by the main application when creating menus.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### nautilus_menu_item_new

Creates a new menu item that can be added to the toolbar or to a contextual menu.

#### Functions

###### nautilus_menu_item_list_free

Deep frees a list of `NautilusMenuItem`.

#### Instance methods

###### nautilus_menu_item_activate

Emits `NautilusMenuItem::activate`.

###### nautilus_menu_item_set_submenu

Attaches a menu to the given `NautilusMenuItem`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Nautilus.MenuItem:icon

This property has no effect.

deprecated: 4.1

###### Nautilus.MenuItem:label

A user visible string describing the `NautilusMenuItem`.

###### Nautilus.MenuItem:menu

A submenu for the current `NautilusMenuItem`.

###### Nautilus.MenuItem:name

A unique identifier for the `NautilusMenuItem`. This is not user visible.

###### Nautilus.MenuItem:priority

This property has no effect.

deprecated: 4.1

###### Nautilus.MenuItem:sensitive

Whether the `NautilusMenuItem` should be sensitive (i.e. clickable).

###### Nautilus.MenuItem:tip

This property has no effect.

deprecated: 4.1

#### Signals

###### Nautilus.MenuItem::activate

Signals that the user has activated this menu item.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct NautilusMenuItemClass {
      GObjectClass parent;
      void (* activate) (
        NautilusMenuItem* item
      );

    }

No description available.

###### Class members

`parent: GObjectClass`

  No description available.

`activate: void (* activate) ( NautilusMenuItem* item )`

  No description available.

#### Virtual methods

###### Nautilus.MenuItemClass.activate

Emits `NautilusMenuItem::activate`.